%define _requires_exceptions libgcc_s.so.1\\|libstdc++.so.6

Name: 		android-notifier-desktop
Version: 	0.5.1
Release: 	%mkrel 1
Summary: 	Sends notifications to a desktop computer when events happen on an Android device
Group:   	Monitoring
License: 	GPL
URL:     	http://code.google.com/p/android-notifier/
Source:  	%{name}.tar.xz
Source2: 	%{name}_icons.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	java


%description
This project sends notifications to a desktop computer when certain
events happen on an Android device, such as the phone ringing, an
SMS being received, or the battery running low. The notifications
can be sent over Wifi, Bluetooth, or (in the future) USB.



%prep

%setup -q -n %{name}

tar --bzip2 -xf %{SOURCE2}

%install

export DONT_STRIP=1

rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/lib/%{name}

mkdir -p %{buildroot}/usr/bin

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Android Notifier
Comment=Android Notifier
Exec=/usr/bin/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Monitoring;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/lib/%{name}
./run.sh
cd /
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

cp -af /usr/src/rpm/BUILD/%{name}/ %{buildroot}/usr/lib



%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jul 02 2010 Texstar <texstar at gmail.com> 0.5.1-1pclos2010
- create package


